# Uses of Class
org.codehaus.plexus.util.xml.XmlStreamWriter

Packages that use XmlStreamWriter
Package
Description
org.codehaus.plexus.util
Miscellaneous utilities, mainly dealing with I/O, strings, and filesystems.

## Uses of XmlStreamWriter in org.codehaus.plexus.util

Methods in org.codehaus.plexus.util that return XmlStreamWriter
Modifier and Type
Method
Description
`static XmlStreamWriter`
WriterFactory.`newXmlWriter(File file)`
Create a new Writer with XML encoding detection rules.
`static XmlStreamWriter`
WriterFactory.`newXmlWriter(OutputStream out)`
Create a new Writer with XML encoding detection rules.